IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MDLORNEKDOSYA]') AND type in (N'U'))
BEGIN

CREATE TABLE [dbo].[MDLORNEKDOSYA](
	[MDLORNEKDOSYAID] [int] NOT NULL,
	[DOSYAID] [int] NULL,
	[TAKIPNO] [nvarchar](50) NULL,
	[DOSYATURKOD] [int] NULL,
	[DOSYAADI] [nvarchar](150) NULL,
	[DOSYAYOLU] [nvarchar](250) NULL,
	[GONDERILDI] [bit] NOT NULL,
	[GONDERMETARIHI] [datetime] NULL,
	[GONDERENKULKODU] [nvarchar](15) NULL,
	[KAYITREFNO] [bigint] NULL,
	[KAYITTARIHI] [datetime] NULL,
	[SILINDI] [bit] NOT NULL,
	[SILMETARIHI] [datetime] NULL,
	[SILENKULKODU] [nvarchar](15) NULL,
 CONSTRAINT [PK_MDLORNEKDOSYA] PRIMARY KEY CLUSTERED 
(
	[MDLORNEKDOSYAID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]


ALTER TABLE [dbo].[MDLORNEKDOSYA] ADD  CONSTRAINT [DF_MDLORNEKDOSYA_GONDERILDI]  DEFAULT ((0)) FOR [GONDERILDI]

ALTER TABLE [dbo].[MDLORNEKDOSYA] ADD  CONSTRAINT [DF_MDLORNEKDOSYA_SILINDI]  DEFAULT ((0)) FOR [SILINDI]

CREATE INDEX [IX_MDLORNEKDOSYA_DOSYAID] ON MDLORNEKDOSYA (DOSYAID)

END